apiVersion: apps/v1
kind: Deployment
metadata:
  name: labmap-backend
spec:
  replicas: 1
  selector:
    matchLabels:
      app: labmap-backend
  template:
    metadata:
      labels:
        app: labmap-backend
    spec:
      containers:
        - name: backend
          image: {{ .Values.backend.image }}:{{ .Values.backend.tag }}
          ports:
            - containerPort: {{ .Values.backend.port }}
          volumeMounts:
            - name: diagrams
              mountPath: {{ .Values.backend.persistence.mountPath }}
      volumes:
        - name: diagrams
          persistentVolumeClaim:
            claimName: labmap-diagrams-pvc
